package com.hzs.system.config.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.system.config.BdWithdrawalTax;
import com.hzs.common.domain.system.config.ext.BdWithdrawalTaxExt;

import java.util.List;

/**
 * 个税明细表 服务类
 *
 * @author zhangjing
 * @since 2022-09-06
 */
public interface IBdWithdrawalTaxService extends IService<BdWithdrawalTax> {

    /**
     * @description: 根据国家查询个税明细
     **/
    BdWithdrawalTaxExt queryWithdrawalTax(Integer pkCountry);

    boolean saveWithdrawalTax(BdWithdrawalTaxExt withdrawalTaxExt);

    boolean deleteWithdrawalTax(Long pkId);

    BdWithdrawalTaxExt getEithdrawalTaxExt(Long pkId);

}
